using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class PlayerSkills : MonoBehaviour {

	Dictionary<string,float> _Skills;

	void Awake()
	{
		_Skills = new Dictionary<string,float>();
		_Skills.Add("Speed",10f);
		_Skills.Add("Strength",1f);
	}

	public void IncreaseSkill(string skill, float amt)
	{
		_Skills[skill] += amt;
	}

	public float GetSkill(string skill)
	{
		return _Skills[skill];
	}
}
